#include <iostream>
#include <vector>
#include <set>
#include <map>
#include <cmath>
#include <algorithm>
#include <fstream>

using namespace std;

struct ST
{
    int a;
    int k;
    ST(int x, int y): a(x), k(y) {};
    bool operator < (const ST & other) const
    {
        return min(k, a) > min(other.k, other.a);
    }
};

int main()
{
    ifstream cin("castle.in");
    ofstream out("castle.out");
    int n, s;
    cin >> n >> s;
    multiset<ST> g;
    long long ans = 0;
    for (int i = 0; i < n; i++)
    {
        int a, k;
        cin >> a >> k;
        ans += a;
        ST u(a, k);
        g.insert(u);
    }
    while (s > 0 && !g.empty())
    {
        ST cur = *g.begin();
        g.erase(g.begin());
        cout << s << ' ' << cur.a << ' ' << cur.k << endl;
        if (cur.a <= cur.k)
        {
            ans -= cur.a;
            s -= 1;
            continue;
        }
        else
        {
            int beat = cur.a / cur.k;
            cout << "b: " << beat << endl;
            if (beat <= s)
            {
                ans -= (beat * cur.k);
                s -= beat;
                cur.a -= (beat * cur.k);
                if (cur.a)
                {
                    g.insert(cur);
                }
            }
            else
            {
                ans -= (s * cur.k);
                s = 0;
                cur.a -= (s * cur.k);
            }
        }
    }
    cout << ans << endl;
    out << ans << endl;
    return 0;
}

